﻿#include "AneuMeshLoader.h"
#include <fstream>
#include <cmath>
#include <iterator>


int main() {
	std::unique_ptr<MeshLoader> p(new AneuMeshLoader);
	std::string str;
	std::cout << "Enter the file name: ";
	std::cin >> str;
	p->loadMesh(str);
	std::cout << "Nodes:" << std::endl;
	std::cout << p->GetNode() << std::endl;
	std::cout << "Finite Elements:" << std::endl;
	std::cout << p->GetFiniteElement() << std::endl;
	std::cout << "Element by three nodes:" << std::endl;
	std::cout << "Enter three nodes: ";
	int id1, id2, id3;
	std::cin >> id1 >> id2 >> id3;
	std::cout << p->ElementByThreeNodes(id1, id2, id3) << std::endl;
	std::cout << "Finite Element by two nodes" << std::endl;
	std::cout << "Enter two nodes: ";
	std::cin >> id1 >> id2;
	std::cout << p->ElementByTwoNodes(id1, id2) << std::endl;
	std::cout << "Finite Element by Area:" << std::endl;
	std::cout << "Enter ID: ";
	std::cin >> id1;
	std::cout << p->FiniteElementsByArea(id1) << std::endl;
	std::cout << "Inserting new nodes in the middle of the edges " << std::endl;
	p->insert_middle();
	std::cout << "Nodes:" << std::endl;
	std::cout << p->GetNode() << std::endl;
	std::cout << "Finite Elements:" << std::endl;
	std::cout << p->GetFiniteElement() << std::endl;
	return 0;
}


